import { Elysia } from "elysia";
import { cacheRoutes } from "./cache";
import { apiKeyMiddleware } from "@/middleware/apiKeyMiddleware";

export const apiRoutes = new Elysia({ prefix: "/api" })
    .guard({ beforeHandle: apiKeyMiddleware })
    .use(cacheRoutes);
